Azure API Management REST API — Api

Azure API Management REST API — Api. 12 operations. Lead operation: Microsoft Azure API Management Api_ListByService. Self-contained Naftiko capability covering one Microsoft Azure Api Management business surface.

Run with Naftiko Microsoft Azure Api ManagementApi

What You Can Do

GET
Apilistbyservice — Microsoft Azure API Management Api_ListByService
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/apis
HEAD
Apigetentitytag — Microsoft Azure API Management Api_GetEntityTag
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/apis/{apiid}
GET
Apiget — Microsoft Azure API Management Api_Get
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/apis/{apiid}
PUT
Apicreateorupdate — Microsoft Azure API Management Api_CreateOrUpdate
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/apis/{apiid}
PATCH
Apiupdate — Microsoft Azure API Management Api_Update
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/apis/{apiid}
DELETE
Apidelete — Microsoft Azure API Management Api_Delete
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/apis/{apiid}
GET
Workspaceapilistbyservice — Microsoft Azure API Management WorkspaceApi_ListByService
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/workspaces/{workspaceid}/apis
HEAD
Workspaceapigetentitytag — Microsoft Azure API Management WorkspaceApi_GetEntityTag
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/workspaces/{workspaceid}/apis/{apiid}
GET
Workspaceapiget — Microsoft Azure API Management WorkspaceApi_Get
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/workspaces/{workspaceid}/apis/{apiid}
PUT
Workspaceapicreateorupdate — Microsoft Azure API Management WorkspaceApi_CreateOrUpdate
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/workspaces/{workspaceid}/apis/{apiid}
PATCH
Workspaceapiupdate — Microsoft Azure API Management WorkspaceApi_Update
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/workspaces/{workspaceid}/apis/{apiid}
DELETE
Workspaceapidelete — Microsoft Azure API Management WorkspaceApi_Delete
/v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/workspaces/{workspaceid}/apis/{apiid}

MCP Tools

microsoft-azure-api-management-api

Microsoft Azure API Management Api_ListByService

read-only idempotent
microsoft-azure-api-management-api-2

Microsoft Azure API Management Api_GetEntityTag

microsoft-azure-api-management-api-3

Microsoft Azure API Management Api_Get

read-only idempotent
microsoft-azure-api-management-api-4

Microsoft Azure API Management Api_CreateOrUpdate

idempotent
microsoft-azure-api-management-api-5

Microsoft Azure API Management Api_Update

idempotent
microsoft-azure-api-management-api-6

Microsoft Azure API Management Api_Delete

idempotent
microsoft-azure-api-management-workspaceapi

Microsoft Azure API Management WorkspaceApi_ListByService

read-only idempotent
microsoft-azure-api-management-workspaceapi-2

Microsoft Azure API Management WorkspaceApi_GetEntityTag

microsoft-azure-api-management-workspaceapi-3

Microsoft Azure API Management WorkspaceApi_Get

read-only idempotent
microsoft-azure-api-management-workspaceapi-4

Microsoft Azure API Management WorkspaceApi_CreateOrUpdate

idempotent
microsoft-azure-api-management-workspaceapi-5

Microsoft Azure API Management WorkspaceApi_Update

idempotent
microsoft-azure-api-management-workspaceapi-6

Microsoft Azure API Management WorkspaceApi_Delete

idempotent

Capability Spec

rest-api.yaml Raw ↑
naftiko: 1.0.0-alpha2
info:
  label: Azure API Management REST API — Api
  description: 'Azure API Management REST API — Api. 12 operations. Lead operation: Microsoft Azure API Management Api_ListByService.
    Self-contained Naftiko capability covering one Microsoft Azure Api Management business surface.'
  tags:
  - Microsoft Azure Api Management
  - Api
  created: '2026-05-19'
  modified: '2026-05-19'
binds:
- namespace: env
  keys:
    MICROSOFT_AZURE_API_MANAGEMENT_API_KEY: MICROSOFT_AZURE_API_MANAGEMENT_API_KEY
capability:
  consumes:
  - type: http
    namespace: rest-api
    baseUri: https://management.azure.com
    description: Azure API Management REST API — Api business capability. Self-contained, no shared references.
    resources:
    - name: subscriptions-subscriptionId-resourceGroups-resourceGroupName-providers-Microsof
      path: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis
      operations:
      - name: apilistbyservice
        method: GET
        description: Microsoft Azure API Management Api_ListByService
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
    - name: subscriptions-subscriptionId-resourceGroups-resourceGroupName-providers-Microsof
      path: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}
      operations:
      - name: apigetentitytag
        method: HEAD
        description: Microsoft Azure API Management Api_GetEntityTag
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
      - name: apiget
        method: GET
        description: Microsoft Azure API Management Api_Get
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
      - name: apicreateorupdate
        method: PUT
        description: Microsoft Azure API Management Api_CreateOrUpdate
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
        inputParameters:
        - name: body
          in: body
          type: object
          description: Request body (JSON).
          required: true
      - name: apiupdate
        method: PATCH
        description: Microsoft Azure API Management Api_Update
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
        inputParameters:
        - name: body
          in: body
          type: object
          description: Request body (JSON).
          required: true
      - name: apidelete
        method: DELETE
        description: Microsoft Azure API Management Api_Delete
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
    - name: subscriptions-subscriptionId-resourceGroups-resourceGroupName-providers-Microsof
      path: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/workspaces/{workspaceId}/apis
      operations:
      - name: workspaceapilistbyservice
        method: GET
        description: Microsoft Azure API Management WorkspaceApi_ListByService
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
    - name: subscriptions-subscriptionId-resourceGroups-resourceGroupName-providers-Microsof
      path: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/workspaces/{workspaceId}/apis/{apiId}
      operations:
      - name: workspaceapigetentitytag
        method: HEAD
        description: Microsoft Azure API Management WorkspaceApi_GetEntityTag
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
      - name: workspaceapiget
        method: GET
        description: Microsoft Azure API Management WorkspaceApi_Get
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
      - name: workspaceapicreateorupdate
        method: PUT
        description: Microsoft Azure API Management WorkspaceApi_CreateOrUpdate
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
      - name: workspaceapiupdate
        method: PATCH
        description: Microsoft Azure API Management WorkspaceApi_Update
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
      - name: workspaceapidelete
        method: DELETE
        description: Microsoft Azure API Management WorkspaceApi_Delete
        outputRawFormat: json
        outputParameters:
        - name: result
          type: object
          value: $.
    authentication:
      type: bearer
      token: '{{env.MICROSOFT_AZURE_API_MANAGEMENT_API_KEY}}'
  exposes:
  - type: rest
    namespace: rest-api-rest
    port: 8080
    description: REST adapter for Azure API Management REST API — Api. One Spectral-compliant resource per consumed operation,
      prefixed with /v1.
    resources:
    - path: /v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/apis
      name: subscriptions-subscriptionid-resourcegroups-resourcegroupname-providers-microsof
      description: REST surface for subscriptions-subscriptionId-resourceGroups-resourceGroupName-providers-Microsof.
      operations:
      - method: GET
        name: apilistbyservice
        description: Microsoft Azure API Management Api_ListByService
        call: rest-api.apilistbyservice
        outputParameters:
        - type: object
          mapping: $.
    - path: /v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/apis/{apiid}
      name: subscriptions-subscriptionid-resourcegroups-resourcegroupname-providers-microsof
      description: REST surface for subscriptions-subscriptionId-resourceGroups-resourceGroupName-providers-Microsof.
      operations:
      - method: HEAD
        name: apigetentitytag
        description: Microsoft Azure API Management Api_GetEntityTag
        call: rest-api.apigetentitytag
        outputParameters:
        - type: object
          mapping: $.
      - method: GET
        name: apiget
        description: Microsoft Azure API Management Api_Get
        call: rest-api.apiget
        outputParameters:
        - type: object
          mapping: $.
      - method: PUT
        name: apicreateorupdate
        description: Microsoft Azure API Management Api_CreateOrUpdate
        call: rest-api.apicreateorupdate
        with:
          body: rest.body
        outputParameters:
        - type: object
          mapping: $.
      - method: PATCH
        name: apiupdate
        description: Microsoft Azure API Management Api_Update
        call: rest-api.apiupdate
        with:
          body: rest.body
        outputParameters:
        - type: object
          mapping: $.
      - method: DELETE
        name: apidelete
        description: Microsoft Azure API Management Api_Delete
        call: rest-api.apidelete
        outputParameters:
        - type: object
          mapping: $.
    - path: /v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/workspaces/{workspaceid}/apis
      name: subscriptions-subscriptionid-resourcegroups-resourcegroupname-providers-microsof
      description: REST surface for subscriptions-subscriptionId-resourceGroups-resourceGroupName-providers-Microsof.
      operations:
      - method: GET
        name: workspaceapilistbyservice
        description: Microsoft Azure API Management WorkspaceApi_ListByService
        call: rest-api.workspaceapilistbyservice
        outputParameters:
        - type: object
          mapping: $.
    - path: /v1/subscriptions/{subscriptionid}/resourcegroups/{resourcegroupname}/providers/microsoft-apimanagement/service/{servicename}/workspaces/{workspaceid}/apis/{apiid}
      name: subscriptions-subscriptionid-resourcegroups-resourcegroupname-providers-microsof
      description: REST surface for subscriptions-subscriptionId-resourceGroups-resourceGroupName-providers-Microsof.
      operations:
      - method: HEAD
        name: workspaceapigetentitytag
        description: Microsoft Azure API Management WorkspaceApi_GetEntityTag
        call: rest-api.workspaceapigetentitytag
        outputParameters:
        - type: object
          mapping: $.
      - method: GET
        name: workspaceapiget
        description: Microsoft Azure API Management WorkspaceApi_Get
        call: rest-api.workspaceapiget
        outputParameters:
        - type: object
          mapping: $.
      - method: PUT
        name: workspaceapicreateorupdate
        description: Microsoft Azure API Management WorkspaceApi_CreateOrUpdate
        call: rest-api.workspaceapicreateorupdate
        outputParameters:
        - type: object
          mapping: $.
      - method: PATCH
        name: workspaceapiupdate
        description: Microsoft Azure API Management WorkspaceApi_Update
        call: rest-api.workspaceapiupdate
        outputParameters:
        - type: object
          mapping: $.
      - method: DELETE
        name: workspaceapidelete
        description: Microsoft Azure API Management WorkspaceApi_Delete
        call: rest-api.workspaceapidelete
        outputParameters:
        - type: object
          mapping: $.
  - type: mcp
    namespace: rest-api-mcp
    port: 9090
    transport: http
    description: MCP adapter for Azure API Management REST API — Api. One tool per consumed operation, routed inline through
      this capability's consumes block.
    tools:
    - name: microsoft-azure-api-management-api
      description: Microsoft Azure API Management Api_ListByService
      hints:
        readOnly: true
        destructive: false
        idempotent: true
      call: rest-api.apilistbyservice
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-api-2
      description: Microsoft Azure API Management Api_GetEntityTag
      hints:
        readOnly: false
        destructive: false
        idempotent: false
      call: rest-api.apigetentitytag
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-api-3
      description: Microsoft Azure API Management Api_Get
      hints:
        readOnly: true
        destructive: false
        idempotent: true
      call: rest-api.apiget
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-api-4
      description: Microsoft Azure API Management Api_CreateOrUpdate
      hints:
        readOnly: false
        destructive: false
        idempotent: true
      call: rest-api.apicreateorupdate
      with:
        body: tools.body
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-api-5
      description: Microsoft Azure API Management Api_Update
      hints:
        readOnly: false
        destructive: false
        idempotent: true
      call: rest-api.apiupdate
      with:
        body: tools.body
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-api-6
      description: Microsoft Azure API Management Api_Delete
      hints:
        readOnly: false
        destructive: true
        idempotent: true
      call: rest-api.apidelete
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-workspaceapi
      description: Microsoft Azure API Management WorkspaceApi_ListByService
      hints:
        readOnly: true
        destructive: false
        idempotent: true
      call: rest-api.workspaceapilistbyservice
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-workspaceapi-2
      description: Microsoft Azure API Management WorkspaceApi_GetEntityTag
      hints:
        readOnly: false
        destructive: false
        idempotent: false
      call: rest-api.workspaceapigetentitytag
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-workspaceapi-3
      description: Microsoft Azure API Management WorkspaceApi_Get
      hints:
        readOnly: true
        destructive: false
        idempotent: true
      call: rest-api.workspaceapiget
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-workspaceapi-4
      description: Microsoft Azure API Management WorkspaceApi_CreateOrUpdate
      hints:
        readOnly: false
        destructive: false
        idempotent: true
      call: rest-api.workspaceapicreateorupdate
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-workspaceapi-5
      description: Microsoft Azure API Management WorkspaceApi_Update
      hints:
        readOnly: false
        destructive: false
        idempotent: true
      call: rest-api.workspaceapiupdate
      outputParameters:
      - type: object
        mapping: $.
    - name: microsoft-azure-api-management-workspaceapi-6
      description: Microsoft Azure API Management WorkspaceApi_Delete
      hints:
        readOnly: false
        destructive: true
        idempotent: true
      call: rest-api.workspaceapidelete
      outputParameters:
      - type: object
        mapping: $.